xcb_shape_input_selected(3)

NAME
xcb_shape_input_selected -

SYNOPSIS
#include <xcb/shape.h>

  Request function

xcb_shape_input_selected_cookie_t xcb_shape_input_selected(xcb_connection_t *conn, xcb_window_t destination_window);

  Reply datastructure

typedef struct xcb_shape_input_selected_reply_t {
    uint8_t  response_type;
    uint8_t  enabled;
    uint16_t sequence;
    uint32_t length;
} xcb_shape_input_selected_reply_t;

  Reply function

xcb_shape_input_selected_reply_t *xcb_shape_input_selected_reply(xcb_connection_t *conn, xcb_shape_input_selected_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

destination_window
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_SHAPE_INPUT_SELECTED. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

enabled
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_shape_input_selected_cookie_t. Errors have to be handled when calling the reply function xcb_shape_input_selected_reply. If you want to handle errors in the event loop instead, use xcb_shape_input_selected_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shape.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.